Subject: Re: [PATCH 1/2] kdump: Allow shrinking of kdump region to be overridden

From: [email-masked] (Eric W. Biederman)
Date: Tue, 24 Aug 2010 17:37:57 -0700

Anton Blanchard <[email-masked]> writes:

> On ppc64 the crashkernel region almost always overlaps an area of firmware.
> This works fine except when using the sysfs interface to reduce the kdump
> region. If we free the firmware area we are guaranteed to crash.

That is ppc64 bug.  firmware should not be in the reserved region.  Any
random kernel like thing can be put in to that region at any valid
address and the fact that shrinking the region frees your firmware means
that using that region could also stomp your firmware (which I assume
would be a bad thing).

So please fix the ppc64 reservation.

Eric